package com.ozs.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.base.domain.BaseExpert;
import com.ozs.base.domain.BaseUnitInformation;
import com.ozs.base.domain.vo.BaseExpertVo;
import com.ozs.pm.doman.PmDemandExpertRef;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface BaseExpertMapper extends BaseMapper<BaseExpert> {
    int insertExpert(BaseExpertVo baseExpertVo);

    List<BaseUnitInformation> selectByUnitInformation(@Param("unitInformation") String unitInformation);

    Integer insertBaseUnitInformation(BaseUnitInformation baseUnitInformation);

    Map<String, String> getExpertNameList(@Param("expertList") List<Long> expertList);

    List<PmDemandExpertRef> getExpertIdList(@Param("demandId") Long demandId);
}
